Package org.eclipse.draw2d

# Class ScalableLightweightSystem

java.lang.Object
org.eclipse.draw2d.LightweightSystem
org.eclipse.draw2d.ScalableLightweightSystem

public class ScalableLightweightSystem extends LightweightSystem
Custom lightweight-system that is used in combination with the `draw2d.enableAutoscale` environment variable. The root figure of this class implements the `IScalablePane` interface and is automatically scaled to match the monitor zoom.
Important: This class is only public so that it can be referencd in the other GEF plugins. This class must not be used together with a `Viewport`. Otherwise the scrollbar and content are always rendered as if at 100% zoom (at least on Windows}.

@noreference
  This class is not intended to be referenced by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.LightweightSystem

`LightweightSystem.EventHandler, LightweightSystem.RootFigure`

## Constructor Summary

Constructors
Constructor
Description
`ScalableLightweightSystem()`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.draw2d.ScalableLightweightSystem.ScalableRootFigure`
`createRootFigure()`
Creates and returns the root figure.
`ScalableFigure`
`getRootFigure()`
Returns this LightweightSystem's root figure.
`void`
`setControl(Canvas c)`
Sets the LightweightSystem's control to the passed Canvas.

### Methods inherited from class org.eclipse.draw2d.LightweightSystem

`addListeners, controlResized, createEventHandler, getEventDispatcher, getUpdateManager, init, paint, setContents, setEventDispatcher, setRootPaneFigure, setUpdateManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScalableLightweightSystem

public ScalableLightweightSystem()

## Method Details

### setControl

public void setControl(Canvas c)
Description copied from class: `LightweightSystem`
Sets the LightweightSystem's control to the passed Canvas.

Overrides:
  `setControl` in class `LightweightSystem`
Parameters:
  `c` - the canvas

### createRootFigure

protected org.eclipse.draw2d.ScalableLightweightSystem.ScalableRootFigure createRootFigure()
Description copied from class: `LightweightSystem`
Creates and returns the root figure.

Overrides:
  `createRootFigure` in class `LightweightSystem`
Returns:
  the newly created root figure

### getRootFigure

public ScalableFigure getRootFigure()
Description copied from class: `LightweightSystem`
Returns this LightweightSystem's root figure.

Overrides:
  `getRootFigure` in class `LightweightSystem`
Returns:
  the root figure